Bug 141389 - update www/mod_fcgid to 2.3.4
update www/mod_fcgid to 2.3.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Philip M. Gollucci
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-12 00:00 UTC by carsten_sttgt
Modified: 2009-12-26 07:00 UTC (History)
0 users

See Also:


Attachments
file.diff (6.20 KB, patch)
2009-12-12 00:00 UTC, carsten_sttgt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description carsten_sttgt 2009-12-12 00:00:15 UTC
Hello,

since 8 months mod_fcgid is a Apache HTTP Server subproject and now maintained and developed by ASF.

The first mod_fcgid release (2.3.1) from ASF was in September, and the latest (2.3.4) in October. But the FreeBSD ports still having the old 2.2.

I've made a patch to update the port to 2.3.4.

file removed:
files/patch-fcgid_conf.c

file added:
files/patch-modules-fcgid-fcgid_conf.c


Regards,
Carsten

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-12-13 20:47:19 UTC
Maintainer of www/mod_fcgid,

Please note that PR ports/141389 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141389

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-12-13 20:47:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci freebsd_committer 2009-12-24 06:35:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 4 dfilter freebsd_committer 2009-12-26 06:55:28 UTC
pgollucci    2009-12-26 06:55:19 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_fcgid        Makefile distinfo pkg-descr pkg-plist 
    www/mod_fcgid/files  pkg-message.in 
  Added files:
    www/mod_fcgid/files  patch-modules-fcgid-fcgid_conf.c 
  Removed files:
    www/mod_fcgid/files  patch-fcgid_conf.c 
  Log:
  - Update to 2.3.4
  
  PR:             ports/141389
  Submitted by:   Carsten Wiedmann <carsten_sttgt@gmx.de>
  Approved by:    maintainer timeout (14 days)
  
  Revision  Changes    Path
  1.18      +19 -8     ports/www/mod_fcgid/Makefile
  1.9       +3 -3      ports/www/mod_fcgid/distinfo
  1.4       +0 -13     ports/www/mod_fcgid/files/patch-fcgid_conf.c (dead)
  1.1       +13 -0     ports/www/mod_fcgid/files/patch-modules-fcgid-fcgid_conf.c (new)
  1.3       +4 -0      ports/www/mod_fcgid/files/pkg-message.in
  1.4       +8 -10     ports/www/mod_fcgid/pkg-descr
  1.5       +3 -0      ports/www/mod_fcgid/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Philip M. Gollucci freebsd_committer 2009-12-26 06:55:43 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!